# VehicleCrashDetectionFeedback

This class is used for submitting feedback about a vehicle crash to the Sentiance SDK. See [submitVehicleCrashDetectionFeedback](/important-topics/sdk/api-reference/android/feedback/feedbackapi.md#submitvehiclecrashdetectionfeedback).

## VehicleCrashDetectionFeedback API

### `crash()`

Creates feedback for a vehicle crash that occurred on the specified date, with an optional crash location. Use this to report crashes that either were or were not detected by the Sentiance SDK.

Returns a VehicleCrashDetectionFeedback instance with the provided input.

```java
static VehicleCrashDetectionFeedback crash(
        Date crashDate, 
        boolean wasCrashDetectedBySentiance, 
        @Nullable Coordinates crashLocation
);
```

<table><thead><tr><th width="271.24127197265625">Parameters</th><th></th></tr></thead><tbody><tr><td>crashDate</td><td>The date of the crash event reported by the Sentiance SDK, or if a crash was not detected, the date of the actual crash.</td></tr><tr><td>wasCrashDetectedBySentiance</td><td>Whether the Sentiance SDK detected and reported the crash.</td></tr><tr><td>crashLocation</td><td>The location where the crash happened. See <a href="/pages/LrWxsydprHNNublsWjYR">Coordinates</a>.</td></tr></tbody></table>

### `noCrash()`

Creates feedback indicating that no crash occurred for a crash event reported by the Sentiance SDK. Use this to report false positives when the SDK incorrectly detected a vehicle crash.

Returns a VehicleCrashDetectionFeedback instance with the provided input.

```java
static VehicleCrashDetectionFeedback noCrash(Date eventDate);
```

<table><thead><tr><th width="220">Parameters</th><th></th></tr></thead><tbody><tr><td>eventDate</td><td>The date of the crash event reported by the Sentiance SDK.</td></tr></tbody></table>

### `getCrashLocation()`

Returns the location where the crash happened if it was provided to [crash()](#crash). Otherwise, returns `null`.

See [Coordinates](/important-topics/sdk/api-reference/android/coordinates.md).

```java
@Nullable Coordinates getCrashLocation()
```

### `getEventDate()`

Returns the eventDate provided to [noCrash()](#nocrash), or the crashDate provided to [crash()](#crash).

```java
Date getEventDate()
```

### `wasCrashDetectedBySentiance()`

Returns whether the Sentiance SDK detected and reported the crash.

```java
boolean wasCrashDetectedBySentiance()
```

### `wasRealCrash()`

Returns whether a crash occurred on the specified eventDate.

```java
boolean wasRealCrash()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/feedback/vehiclecrashdetectionfeedback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
